package kartoMNT.visu3d;


import javax.vecmath.*;
import javax.media.j3d.*;

/**
 * * KartoMNT V2 <BR>
 * Un repre
 */
class Repere extends Shape3D
{
	/** Table des lignes composant la croix */
	private LineArray repereGeometry = new LineArray(6, GeometryArray.COORDINATES | GeometryArray.COLOR_3);

  /**
   * Constructeur
   * @param z Distance en z  laquelle sera affiche la croix
   * @param size Taille de la croix
   */
	public Repere(float x, float y,float z, float size)
	{
		super();
		
		Point3f verts[] = new Point3f[6];
        Color3f colors[] = new Color3f[6];
		verts[0] = new Point3f(x,  y, z);
		verts[1] = new Point3f(x+size, y, z);
		verts[2] = new Point3f(x,  y, z);
		verts[3] = new Point3f(x, y+size,z);
		verts[4] = new Point3f(x,  y, z);
		verts[5] = new Point3f(x, y, z+size);
		
		colors[0] = new Color3f(1.0f, 1.0f, 1.0f);
		colors[1] = new Color3f(1.0f, 0.0f, 0.0f);
		colors[2] = new Color3f(1.0f, 1.0f, 1.0f);
		colors[3] = new Color3f(0.0f, 0.0f, 1.0f);
		colors[4] = new Color3f(1.0f, 1.0f, 1.0f);
		colors[5] = new Color3f(0.0f, 1.0f, 0.0f);
		repereGeometry.setCoordinates(0, verts);
		repereGeometry.setColors(0, colors);
		this.setGeometry(repereGeometry);
	}
}
