/**
 *
 * Programme kartoMNT v2.0
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence
 * Publique Gnrale GNU publie par la Free Software Foundation (version 2).
 *
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, ni explicite ni implicite,
 * y compris les garanties de commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 * Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ; si
 * ce n'est pas le cas, crivez  la
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 */
package kartoMNT;

import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;


public class Graduation extends JPanel implements ComponentListener
    {
        public Graduation()
        {
            max=1.0;
            min=0.0;
            addComponentListener(this);
            Dimension d=getSize();
            width=d.width;
            height=d.height;
            setPreferredSize(new Dimension(100,8));
        }


        public double val2ScreenCoords(double x)
        {
            return (x-min)*((double)width-1.0)/(max-min);
        }

        public double screen2ValCoords(double x)
        {
            return min+x*(max-min)/(width-1);
        }

        public void setInterval(double x1,double x2)
        {
            min=x1;
            max=x2;
        }

        public void paint(Graphics g)
        {
            double n=Math.ceil( Math.log( 2.0*(max-min)/(width-1) )/Math.log(10.0) );

            double delta=Math.pow(10.0,n);

            double xmin=Math.floor(min/delta)*delta;
            double xmax=Math.ceil(max/delta)*delta;


            double x;
            int xi;
            g.setColor(Color.black);
            for(x=xmin;x<=xmax+delta;x+=delta)
                {
                    xi=(int)Math.round(val2ScreenCoords(x));
                    int m=(int)Math.round( x/delta );
                    if( ((m%10)+10)%10 ==0)
                        {
                            g.drawLine(xi, height-1, xi, height-8);
                        }
                    else if( ((m%10)+10)%10 ==5)
                        {
                            g.drawLine(xi, height-1, xi, height-5);
                        }
                    else
                        {
                            g.drawLine(xi, height-1, xi, height-3);
                        }

                }
            g.drawLine(0, height-1, width, height-1);
        }



        public void componentHidden(ComponentEvent e)
        {}
        public void componentMoved(ComponentEvent e)
        {}

        public void componentResized(ComponentEvent e)
        {
            Dimension d=getSize();
            width=d.width;
            height=d.height;
        }

        public void componentShown(ComponentEvent e)
        {}


        double min,max;
        int width,height;
    }


